Name:		alteeve-release
Version:	0.1
Release:	5
Summary:	RPM to install the Alteeve RPM repositories for the Anvil! Intelligent Availability™ platform.

Group:		server
License:	GPL
URL:		https://alteeve.com
Source0:	https://alteeve.com/an-repo/release/alteeve-release-%{version}.tar.gz

Requires:       perl

BuildArch:	noarch

%description

This package provides the repository setup script for both the community and
commercially supported Anvil! Intelligent Availability™ system. When installed,
run 'alteeve-repo-setup' to complete the setup.

This is meant to be installed and run on the machine to become a Striker 
dashboard.

Support for the Anvil! platform is available from Alteeve, https://alteeve.com

%prep
%setup -q

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}/usr/sbin
mkdir -p %{buildroot}/usr/share/man/man8
mkdir -p %{buildroot}/etc/pki/rpm-gpg
cp -p alteeve-repo-setup %{buildroot}/usr/sbin/
cp -p alteeve-repo-setup.8 %{buildroot}/usr/share/man/man8/
cp -p RPM-GPG-KEY-Alteeve-Official %{buildroot}/etc/pki/rpm-gpg/

%files
%defattr(-,root,root,-)
%{_sbindir}/alteeve-repo-setup
%{_mandir}/*
%config %{_sysconfdir}/pki/rpm-gpg/RPM-GPG-KEY-Alteeve-Official

%postun
if [ -e '/etc/yum.repos.d/alteeve-anvil.repo' ];
then 
    rm -f /etc/yum.repos.d/alteeve-anvil.repo
fi
exit 0

%changelog
* Sat Mar 09 2024 Madison Kelly <mkelly@alteeve.ca> 0.1-5
- Add almalinux9 support
- Add proper man page

* Sat Jan 27 2024 Madison Kelly <mkelly@alteeve.ca> 0.1-4
- Sync srpm/rpms

* Sat Jan 27 2024 Madison Kelly <mkelly@alteeve.ca> 0.1-3
- Switch build to el9

* Wed May 19 2021 Madison Kelly <mkelly@alteeve.ca> 0.1-2
- Minor spec file cleanup

* Tue May 18 2021 Madison Kelly <mkelly@alteeve.ca> 0.1-1
- Initial release
